<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'PHPMailer/src/Exception.php';
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';
header('Access-Control-Allow-Origin: *'); // Permite todas las fuentes. Para mayor seguridad, reemplaza '*' con los dominios específicos permitidos.
header('Access-Control-Allow-Methods: POST, GET, OPTIONS'); // Métodos HTTP permitidos.
header('Access-Control-Allow-Headers: X-Requested-With, Content-Type, Accept, Origin, Authorization'); // Cabeceras permitidas.

$mail = new PHPMailer(true); // Crear una instancia de PHPMailer y pasar `true` habilita excepciones

try {
    // Recoger los datos del formulario
    $nombre_apellidos = isset($_POST['nombre_apellidos']) ? $_POST['nombre_apellidos'] : 'No especificado';
    $celular = isset($_POST['celular']) ? $_POST['celular'] : 'No especificado';
    $dni = isset($_POST['dni']) ? $_POST['dni'] : 'No especificado';
    $correo = isset($_POST['correo']) ? $_POST['correo'] : 'No especificado';
    $monto_prestamo = isset($_POST['monto_prestamo']) ? $_POST['monto_prestamo'] : 'No especificado';

    $fotos_propiedad = isset($_POST['fotos_propiedad']) ? $_POST['fotos_propiedad'] : 'No especificado';
    $tipo_inmueble = isset($_POST['tipo_inmueble']) ? $_POST['tipo_inmueble'] : 'No especificado';
    $partida_registral_propiedad = isset($_POST['partida_registral_propiedad']) ? $_POST['partida_registral_propiedad'] : 'No especificado';
    $usted_titular = isset($_POST['usted_titular']) ? $_POST['usted_titular'] : 'No especificado';
    $nombre_titular = isset($_POST['nombre_titular']) ? $_POST['nombre_titular'] : 'No especificado';
    $dni_titular = isset($_POST['dni_titular']) ? $_POST['dni_titular'] : 'No especificado';


    // Configuración del servidor
    $mail->isSMTP(); // Usar SMTP
    $mail->CharSet = "utf-8";
    $mail->Host       = 'mail.financiamientoinmobiliarioperu.com'; // Servidor SMTP
    $mail->SMTPAuth   = true; // Habilitar autenticación SMTP
    $mail->Username   = 'info@goinmuebles.com'; // Usuario SMTP
    $mail->Password   = 'Qscplm1$'; // Contraseña SMTP
    $mail->SMTPSecure = 'SSL'; // Habilitar encriptación TLS; `PHPMailer::ENCRYPTION_SMTPS` también es posible
    $mail->Port       = 465; // Puerto TCP para conectarse
    $mail->SMTPOptions = array(
        'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
        )
    );
    
    // Remitentes y destinatarios
    $mail->setFrom($correo, $nombre_apellidos);
    $mail->addAddress('info@prestopolis.com', 'Web Prestopolis Prestamos'); // Agregar un destinatario

    // Comprobar si la persona es titular antes de incluir su nombre y DNI en el correo
    $titularInfoHTML = '';
    $titularInfoPlainText = '';

    if (strtolower($usted_titular) === 'si') {
        $titularInfoHTML = "<p><strong>Nombre y apellido del titular:</strong> {$nombre_titular}</p>
                            <p><strong>N de Dni del titular:</strong> {$dni_titular}</p>";
        $titularInfoPlainText = "Nombre Apellido del titular: {$nombre_titular}\n
                                Dni titular: {$dni_titular}\n";
    }

    // Contenido del correo
    $mail->isHTML(true); // Establecer el formato de correo electrónico a HTML
    $mail->Subject = 'Nueva solicitud de préstamo';

    // Construir el cuerpo del mensaje con los datos del formulario
    $mail->Body    = "<h1>Nueva solicitud de préstamo</h1>
                    <p><strong>Nombre y apellidos:</strong> {$nombre_apellidos}</p>
                    <p><strong>Celular:</strong> {$celular}</p>
                    <p><strong>DNI:</strong> {$dni}</p>
                    <p><strong>Correo:</strong> {$correo}</p>
                    <p><strong>Monto Prestamo:</strong> {$monto_prestamo}</p>
                    <hr />
                    <h3>Datos de la propiedad</h3>
                    <p><strong>Fotos de la propiedad:</strong> {$fotos_propiedad}</p>
                    <p><strong>Tipo de Inmueble:</strong> {$tipo_inmueble}</p>
                    <p><strong>Partida registral de la propiedad:</strong> {$partida_registral_propiedad}</p>
                    <p><strong>¿Es usted titular de la propiedad?</strong> {$usted_titular}</p>
                    {$titularInfoHTML}";


    $mail->AltBody = "Nombre y apellidos: {$nombre_apellidos}\n
                    Celular: {$celular}\n
                    DNI: {$dni}\n
                    Correo: {$correo}\n
                    Monto:{$monto_prestamo}\n
                    Datos de la propiedad\n
                    Fotos de la propiedad: {$fotos_propiedad}\n
                    Tipo: {$tipo_inmueble}\n
                    Partida: {$partida_registral_propiedad}\n
                    ¿Usted titular de propiedad?: {$usted_titular}\n
                    {$titularInfoPlainText}";

    $mail->send();
    echo 'El mensaje ha sido enviado';
} catch (Exception $e) {
    echo "El mensaje no pudo ser enviado. Mailer Error: {$mail->ErrorInfo}";
}
